.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Sun Jul 25 10:41:34 1993 by Rik Faith (faith@cs.unc.edu)
.TH STRDUP 3  "April 12, 1993" "GNU" "Linux Programmer's Manual"
.SH NAME
strdup \- duplicate a string
.SH SYNOPSIS
.nf
.B #include <string.h>
.sp
.BI "char *strdup(const char *" s );
.fi
.SH DESCRIPTION
The \fBstrdup()\fP function returns a pointer to a new string which
is a duplicate of the string \fIs\fP.  Memory for the new string is
obtained with \fBmalloc\fP(3), and can be freed with \fBfree\fP(3).
.SH "RETURN VALUE"
The \fBstrdup()\fP function returns a pointer to the duplicated
string, or NULL if insufficient memory was available.
.SH "ERRORS"
.TP
.B ENOMEM
Insufficient memory available to allocate duplicate string.
.SH "CONFORMING TO"
SVID 3, BSD 4.3
.SH "SEE ALSO"
.BR calloc "(3), " malloc "(3), " realloc "(3), " free (3)
